--[[---------------------------------------
	VARIABLE CACHING
-----------------------------------------]]

-- Lua Functions
local pairs, print, select, type, unpack = pairs, print, select, type, unpack

local ATP, Ace3, LSM = unpack(select(2,...))

function Ace3:GroupBuilder(db,continent,skill)
	local args = {}
	local order = 1
	local db = db
	args["toggleContinent"] = {
		order = 0,
		type = "toggle",
		name = "Enable "..db.continents[continent].name,
		get = function()
			return db.continents[continent].skills[skill]
		end,
		set = function(this,value)
			db.continents[continent].skills[skill] = value
			
			local continentID,mapID = self:GetLocationIDs()
			self:UpdateTracking(continentID,mapID)
		end,
		width = "full",
	}

	if (continent ~= "1355") then
		args["toggleAll"] = {
			order = 2,
			type = "execute",
			name = "Toggle All",
			disabled = function() 
				if (db.continents[continent].skills[skill]) then
					return false
				else
					return true
				end
			end,
			width = "full",
			func = function()
				self:ToggleAllZones(db,continent,skill)
			end,
		}
		
		for k,v in pairs(db.continents[continent]) do
			
			if (type(v) == "table" and k ~= "children" and k ~= "skills") then
				local root = db.continents[continent][k]

				if (k == "1355") then
					args[k.."Toggle"] = {
						order = db.continents[continent][k].order,
						type = "toggle",
						name = db.continents[continent][k].name,
						desc = '',
						disabled = function() 
							if (db.continents[continent].skills[skill]) then
								return false
							else
								return true
							end
						end,
						get = function()
							return db.continents[continent].skills[skill]
						end,
						set = function(this,value)
							db.continents[continent].skills[skill] = value
							
							local continentID,mapID = self:GetLocationIDs()
							self:UpdateTracking(continentID,mapID)
						end,
						width = width,
					}
				else
					args[k.."Toggle"] = {
						order = db.continents[continent][k].order,
						type = "toggle",
						name = db.continents[continent][k].name,
						desc = '',
						disabled = function() 
							if (db.continents[continent].skills[skill]) then
								return false
							else
								return true
							end
						end,
						get = function()
							return db.continents[continent][k].skills[skill]
						end,
						set = function(this,value)
							db.continents[continent][k].skills[skill] = value
							
							local continentID,mapID = self:GetLocationIDs()
							self:UpdateTracking(continentID,mapID)
						end,
						width = width,
					}
				end
				order = order + 1
			end
		end
	end
	
	return args
end
function Ace3:SetupContinentTabs(db,skill)
	local args = {}
	local order = 0

	for k,v in pairs(db.continents) do
		if (type(v) == "table" and k ~= "children") then			
			args[k.."Tab"] = {
				order = db.continents[k].order + order,
				type = "group",
				name = db.continents[k].name,
				desc = '',
				args = Ace3:GroupBuilder(db,k,skill)
			}
		end
	end
	
	return args
end