local ATP, Ace3, LSM = unpack(select(2,...))

local defaults = {
	profile = {
		continents = {
			["905"] = { -- Argus
				name = "Argus",
				order = 1,
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["885"] = {
					name = "Antoran Wastes",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["830"] = {
					name = "Krokuun",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["882"] = {
					name = "Mac'Aree",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["619"] = { --Broken Isles
				name = "Broken Isles",
				order = 2,
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["630"] = {
					name = "Azsuna",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["646"] = {
					name = "Broken Shore",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["790"] = {
					name = "Eye of Azshara",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["650"] = {
					name = "Highmountain",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["634"] = {
					name = "Stormheim",
					order = 7,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["680"] = {
					name = "Suramar",
					order = 8,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["641"] = {
					name = "Val'sharah",
					order = 9,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["572"] = { -- Draenor
				name = "Draenor",
				order = 3,
				children = {
					["622"] = 588, -- Stormshield -> Ashran
					["624"] = 588, -- Warspear    -> Ashran
				},
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["588"] = {
					name = "Ashran",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["543"] = {
					name = "Gorgrond",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["525"] = {
					name = "Frostfire Ridge",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["550"] = {
					name = "Nagrand",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["539"] = {
					name = "Shadowmoon Valley",
					order = 7,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["542"] = {
					name = "Spires of Arak",
					order = 8,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["535"] = {
					name = "Talador",
					order = 9,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["534"] = {
					name = "Tanaan Jungle",
					order = 10,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["13"] = { -- Eastern Kingdoms
				name = "Eastern Kingdoms",
				order = 4,
				children = {
					["465"] = 18, -- Deathknell      -> Tirisfal Glades
					["87"] = 27,  -- Ironforge       -> Dun Morogh
					["469"] = 27, -- New Tinkertown  -> Dun Morogh
					["425"] = 37,  -- Northshire      -> Elwynn Forest
					["110"] = 94, -- Silvermoon City -> Eversong Woods
					["84"] = 37,  -- Stormwind City  -> Elwynn Forest
					["90"] = 18,  -- Undercity       -> Tirisfal Glades
				},
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["204"] = {
					name = "Abyssal Depths",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["14"] = {
					name = "Arathi Highlands",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["15"] = {
					name = "Badlands",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["17"] = {
					name = "Blasted Lands",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["36"] = {
					name = "Burning Steppes",
					order = 7,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["210"] = {
					name = "The Cape of Stranglethorn",
					order = 8,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["42"] = {
					name = "Deadwind Pass",
					order = 9,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["27"] = {
					name = "Dun Morogh",
					order = 10,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["23"] = {
					name = "Eastern Plaguelands",
					order = 11,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["47"] = {
					name = "Duskwood",
					order = 12,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["37"] = {
					name = "Elwynn Forest",
					order = 13,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["94"] = {
					name = "Eversong Woods",
					order = 14,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["95"] = {
					name = "Ghostlands",
					order = 15,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["25"] = {
					name = "Hillsbrad Foothills",
					order = 16,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["26"] = {
					name = "The Hinterlands",
					order = 17,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["122"] = {
					name = "Isle of Quel'Danas",
					order = 18,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["201"] = {
					name = "Kelp'thar Forest",
					order = 19,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["48"] = {
					name = "Loch Modan",
					order = 20,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["50"] = {
					name = "Northern Stranglethorn",
					order = 21,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["49"] = {
					name = "Redridge Mountains",
					order = 22,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["32"] = {
					name = "Searing Gorge",
					order = 23,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["21"] = {
					name = "Silverpine Forest",
					order = 24,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["205"] = {
					name = "Shimmering Expanse",
					order = 25,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["51"] = {
					name = "Swamp of Sorrows",
					order = 26,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["18"] = {
					name = "Tirisfal Glades",
					order = 27,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["241"] = {
					name = "Twilight Highlands",
					order = 28,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["52"] = {
					name = "Westfall",
					order = 29,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["22"] = {
					name = "Western Plaguelands",
					order = 30,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["56"] = {
					name = "Wetlands",
					order = 31,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["32"] = {
					name = "Vashj'ir",
					order = 32,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["12"] = { -- Kalimdor
				name = "Kalimdor",
				order = 5,
				children = {
					["468"] = 97, -- Ammen Vale       -> Azuremyst Isle
					["462"] = 7,  -- Camp Narache     -> Mulgore
					["463"] = 1,  -- Echo Isles       -> Durotar
					["103"] = 97, -- Exodar           -> Azuremyst Isle
					["89"] = 57,  -- Darnassus        -> Teldrassil
					["85"] = 1,   -- Orgrimmar        -> Durotar
					["88"] = 7,   -- Thunder Bluff    -> Mulgore
					["461"] = 1,  -- Valley of Trials -> Durotar
				},
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["63"] = {
					name = "Ashenvale",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["76"] = {
					name = "Azshara",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["97"] = {
					name = "Azuremyst Isle",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["106"] = {
					name = "Bloodmyst Isle",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["62"] = {
					name = "Darkshore",
					order = 7,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["66"] = {
					name = "Desolace",
					order = 8,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["1"] = {
					name = "Durotar",
					order = 9,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["70"] = {
					name = "Dustwallow Marsh",
					order = 10,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["77"] = {
					name = "Felwood",
					order = 11,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["69"] = {
					name = "Feralas",
					order = 12,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["80"] = {
					name = "Moonglade",
					order = 13,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["198"] = {
					name = "Mount Hyjal",
					order = 14,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["7"] = {
					name = "Mulgore",
					order = 15,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["10"] = {
					name = "Northen Barrens",
					order = 16,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["81"] = {
					name = "Silithus",
					order = 17,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["199"] = {
					name = "Southern Barrens",
					order = 18,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["65"] = {
					name = "Stonetalon Mountains",
					order = 19,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["71"] = {
					name = "Tanaris",
					order = 20,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["57"] = {
					name = "Teldrassil",
					order = 21,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["64"] = {
					name = "Thousand Needles",
					order = 22,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["249"] = {
					name = "Uldum",
					order = 23,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["1527"] = {
					name = "Uldum (BFA)",
					order = 24,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["78"] = {
					name = "Un'Goro Crater",
					order = 25,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["83"] = {
					name = "Winterspring",
					order = 26,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["947"] = { -- Kul Tiras
				name = "Kul Tiras",
				order = 6,
				children = {
					["1161"] = 895, -- Boralus -> Tiragarde Sound
				},
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["896"] = {
					name = "Drustvar",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["1462"] = {
					name = "Mechagon Island",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["942"] = {
					name = "Stormsong Valley",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["895"] = {
					name = "Tiragarde Sound",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["1355"] = { --Nazjatar
				name = "Nazjatar",
				order = 7,
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["1355"] = {
					name = "Nazjatar",
					order = 3,
					isEnabled = true,
				},
			},
			["113"] = { -- Northren
				name = "Northrend",
				order = 8,
				children = {
					["125"] = 127, -- Dalaran -> Crystalsong Forest
				},
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["114"] = {
					name = "Borean Tundra",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["127"] = {
					name = "Crystalsong Forest",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["115"] = {
					name = "Dragonblight",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["116"] = {
					name = "Grizzly Hills",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["117"] = {
					name = "Howling Fjord",
					order = 7,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["118"] = {
					name = "Icecrown",
					order = 8,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["119"] = {
					name = "Sholazar Basin",
					order = 9,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["120"] = {
					name = "Storm Peaks",
					order = 10,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["123"] = {
					name = "Wintergrasp",
					order = 11,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["121"] = {
					name = "Zul'Drak",
					order = 12,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["101"] = { -- Outland
				name = "Outland",
				order = 9,
				children = {
					["111"] = 108, -- Shattrath City -> Terokkar Forest
				},
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["105"] = {
					name = "Blade's Edge Mountains",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["100"] = {
					name = "Hellfire Peninsula",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["107"] = {
					name = "Nagrand",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["109"] = {
					name = "Netherstorm",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["104"] = {
					name = "Shadowmoon Valley",
					order = 7,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["108"] = {
					name = "Terokkar Forest",
					order = 8,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["102"] = {
					name = "Zangarmarsh",
					order = 9,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["424"] = { -- Pandaria
				name = "Pandaria",
				order = 10,
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				["422"] = {
					name = "Dread Wastes",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["507"] = {
					name = "Isle of Giants",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["504"] = {
					name = "Isle of Thunder",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["418"] = {
					name = "Krasarang Wilds",
					order = 6,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["379"] = {
					name = "Kun-Lai Summit",
					order = 7,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["371"] = {
					name = "The Jade Forest",
					order = 8,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["554"] = {
					name = "Timeless Isle",
					order = 9,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["388"] = {
					name = "Townlong Steppes",
					order = 10,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["1530"] = {
					name = "Vale of Eternal Blossoms",
					order = 11,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["376"] = {
					name = "Valley of the Four Winds",
					order = 12,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["433"] = {
					name = "The Veiled Stair",
					order = 13,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
			["875"] = { -- Zandalar
				name = "Zandalar",
				order = 11,
				skills = {
					fishing = true,
					herbalism = true,
					mining = true,
					pets = true,
				},
				children = {
					["1165"] = 862, -- Dazar'alor -> Zuldazar
				},
				["863"] = {
					name = "Nazmir",
					order = 3,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["864"] = {
					name = "Vol'dun",
					order = 4,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
				["862"] = {
					name = "Zuldazar",
					order = 5,
					skills = {
						fishing = true,
						herbalism = true,
						mining = true,
						pets = true,
					},
				},
			},
		},
	},
	char = {
		trackingIDs = {
			fishing = 0,
			herbalism = 0,
			mining = 0,
			pets = 0,
		},
	},
}

ATP.defaults = defaults